Retrieve the list of appointments
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.koibox.cloud/api/agenda/"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/agenda/")) .header("X-Koibox-Key", "<X-Koibox-Key>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.koibox.cloud/api/agenda/") .get() .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.koibox.cloud/api/agenda/', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/agenda/';const options = {method: 'GET', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.koibox.cloud/api/agenda/ \ --header 'X-Koibox-Key: <X-Koibox-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”List of requested appointments
object
object
Read-only
Read-only
Read-only
Read-only
Date of the appointment, expected in the center’s time zone
Required in appointments with normal services and without combined services. Do not include in appointments with combined services.
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Read-only
object
Name of the client
Identifier of the client
Mobile number of the client
Write-only
Parent appointment of the current one, read-only
Write-only
Read-only
Read-only
object
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Write-only
Read-only
object
Read-only
object
object
Name of the file
File size (in bytes)
MIME type of the file
object
Indicates if it is the main image of the product
Write-only
Read-only
object
IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.
Time adjusted to the center’s time zone, read-only
Sale created from the appointment, read-only
Labels of the appointment
object
Read-only
Name of the label
HMAC signature of the appointment used to send the user to the online payment flow, read-only
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”Indicates the required header for authentication
No valid access key has been provided
